Subject: Re: setup overwriting ?experimental? installed packages
From: Robert Collins <[email-masked]>
To: Jon LaBadie <[email-masked]>
Cc: [email-masked]
Date: 10 Aug 2002 08:58:44 +1000

On Sat, 2002-08-10 at 04:25, Jon LaBadie wrote:
> I must be missing something obvious, yell (as I know you will) if so.
> 
> When I've installed something newer than "current", like perl 5.8 or
> gcc 3.x, each time I use the setup program I have to make sure to
> individually mark each of those packages as "keep" or they will
> be replaced by the "current" packages, like perl 5.6 or gcc 2.95.
> 
> This is time-consuming, error-prone, and frustrating.
> 
> What have I missed?  How to say generically "I want what I've
> already got left alone".

Currently you don't. We don't have a heuristic that will consistently
*do the right thing*.

ie: How does setup know that a current release with a version number
greater than an installed experimental release should *not* replace it?

You may say 'who cares'. But if
* you run an experimental package (say with a functionality patch)
* both the stable and exp version of it get updated 
* you run setup again

this is the situation you will be in. If setup replaces that package
then you would go back to the normal current version.

I suggest using the 'partial' screen to see what changes will be made.

Better heuristics than the current one are possible, and have been
discussed, to no resolution, on cygwin-apps.

Rob